Robotsystem of the Robot Group Leipzig: FourWheeled Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# FourWheeled Class Reference

Robot is based on nimm4 with 4 wheels and a capsule like body. More...

`#include <fourwheeled.h>`

Inherits Nimm4.

Inheritance diagram for FourWheeled:

[legend]
Collaboration diagram for FourWheeled:

[legend]
List of all members.

## Public Member Functions
| FourWheeled (const OdeHandle &odeHandle, const OsgHandle &osgHandle, FourWheeledConf conf, const std::string &name)
| constructor of nimm4 robot
virtual | ~FourWheeled ()
virtual void | update ()
| updates the OSG nodes of the vehicle
virtual int | getSensorNumber ()
| returns number of sensors
virtual int | getSensors (sensor *sensors, int sensornumber)
| returns actual sensorvalues
virtual void | doInternalStuff (GlobalData &globalData)
| this function is called in each timestep.
## Static Public Member Functions
static FourWheeledConf | getDefaultConf ()
## Protected Member Functions
virtual void | create (const osg::Matrix &pose)
| creates vehicle at desired position
virtual void | destroy ()
| destroys vehicle and space
## Protected Attributes
FourWheeledConf | conf
RaySensorBank | irSensorBank
Primitive * | bumpertrans
Primitive * | bumper

## Detailed Description

Robot is based on nimm4 with 4 wheels and a capsule like body.

## Constructor & Destructor Documentation

FourWheeled | ( | const OdeHandle & | odeHandle,
|  | const OsgHandle & | osgHandle,
|  | FourWheeledConf | conf,
|  | const std::string & | name |
| ) |  |  |

constructor of nimm4 robot

Parameters:

  | odeHandle | data structure for accessing ODE
  | osgHandle | ata structure for accessing OSG
  | conf | configuration structure
  | name | name of the robot

~FourWheeled | ( |  | ) | `[virtual]`

## Member Function Documentation

void create | ( | const osg::Matrix & | pose | ) | `[protected, virtual]`

creates vehicle at desired position

Parameters:

  | pose | 4x4 pose matrix

Reimplemented from Nimm4.

void destroy | ( |  | ) | `[protected, virtual]`

destroys vehicle and space

Reimplemented from Nimm4.

void doInternalStuff | ( | GlobalData & | globalData | ) | `[virtual]`

this function is called in each timestep.

It should perform robot-internal checks, like space-internal collision detection, sensor resets/update etc.

Parameters:

  | globalData | structure that contains global data from the simulation environment

Reimplemented from Nimm4.

static FourWheeledConf getDefaultConf | ( |  | ) | `[inline, static]`

int getSensorNumber | ( |  | ) | `[virtual]`

returns number of sensors

Reimplemented from Nimm4.

int getSensors | ( | sensor * | sensors,
|  | int | sensornumber |
| ) |  |  | `[virtual]`

returns actual sensorvalues

Parameters:

  | sensors | sensors scaled to [-1,1]
  | sensornumber | length of the sensor array

Returns:
  number of actually written sensors

Reimplemented from Nimm4.

void update | ( |  | ) | `[virtual]`

updates the OSG nodes of the vehicle

Reimplemented from Nimm4.

## Member Data Documentation

Primitive* bumper`[protected]`

Primitive* bumpertrans`[protected]`

FourWheeledConf conf`[protected]`

RaySensorBank irSensorBank`[protected]`

The documentation for this class was generated from the following files:

- fourwheeled.h
- fourwheeled.cpp